Previous: _gfortran_set_fpe, Up: Non-Fortran Main Program [Contents][Index]

#### 7.3.6 `_gfortran_set_max_subrecord_length` — Set subrecord length

Description:

  `_gfortran_set_max_subrecord_length` set the maximum length for a subrecord. This option only makes sense for testing and debugging of unformatted I/O.

Syntax:

  `void _gfortran_set_max_subrecord_length (int val)`

Arguments:

  val | the maximum length for a subrecord; the maximum permitted value is 2147483639, which is also the default.

Example:

      int main (int argc, char *argv[])
      {
        /* Initialize libgfortran.  */
        _gfortran_set_args (argc, argv);
        _gfortran_set_max_subrecord_length (8);
        return 0;
      }